You must Sign In to post a response.
  • Category: Linux OS

    Video not playing in Open Suse Linux OS


    Are you using Open Suse Linux OS and it shows the following error when you try to play a video: "Video requires additional plugin for this operation. The following plugin are required. MPEG -4 AAC decoder H.264 decoder"? Do you want to know the solution to this problem? Follow this thread and read expert advice about this error occurring in Open Suse Linux OS.

    I recently installed Open Suse Linux OS and when I tried to play a video it showed following error.

    Video requires additional plugin for this operation. The following plugin are required.
    MPEG -4 AAC decoder
    H.264 decoder

    There is a option to search this plugin but it too returned error. I had faced the same problem in Red Hat Enterprise Linux 6, there I installed Gstreamer and the problem was solved. I tried the same in Open Suse but it didnt succeed.
  • #4144
    The most powerful feature for Linux is its terminal window and from there you can download any plug-in or software. So you can try downloading the plug-in using sudo command and write one or two letters of your search word and then press tab which will provide you with all the option so you can choose from there and than install it in your system.

    You can also uninstall your software and then re-install it. It can be a useful to remove your problem.

    If you can use yum command in your OS then you should use "yum -y install (name of the player)*" for example you can try yum -y install vlc*. This will install your player with all the plug-ins required to run this program.

    Hope this will help you to solve your problem.


  • This thread is locked for new responses. Please post your comments and questions as a separate thread.
    If required, refer to the URL of this page in your new post.